package main

type Config struct {
	App struct {
		Name     string `json:"name"`
		Version  string `json:"version"`
		MotdHTML string `json:"motd"`
	}

	Web struct {
		Port   int    `json:"port"`
		BindTo string `json:"bind_to"`
		Extern string `json:"extern"`
		Title  string `json:"title"`

		ExternalWebroot bool `json:"external_webroot,omitempty"`
	}

	Hub struct {
		Address string `json:"address"`
		Port    int    `json:"port"`
		Tag     string `json:"tag"`
	}
}
